{% extends "website_base.html" %}
{% load markup %}

{% block title %}{% block page_name %}Home{%endblock %} | The Summit Scheduler{% endblock %}

{% block logo_href %}
    http://uds.ubuntu.com
{% endblock %}
{% block logo_text %}
    Developer Summit
{% endblock %}
{% block logo_text_href %}
    http://uds.ubuntu.com
{% endblock %}

{% block extrastyles %}
  <link rel="stylesheet" type="text/css" media="screen" href="/media/css/layout.css" /> 
  <link rel="stylesheet" type="text/css" media="screen" href="/media/css/style.css" />  
  <link rel="stylesheet" type="text/css" media="screen" href="/media/css/site.css" />
{% endblock %}

{% block top_nav_login_links %}
<iframe src="http://free.timeanddate.com/clock/i2x5srdj/tluk/fn14/fs12/tcefefef/pct/pa2/tt0/tw1/tm1/th1/ts1/ta1/tb2" frameborder="0" width="168" height="18" allowTransparency="true" style="position:absolute; top:0px; right: 1075px; height:20px; border:0; width:175px; border-radius:5px; -webkit-border-radius:5px; -moz-border-radius:5px;"></iframe>
    {% if user.is_authenticated %}
        Logged in as:
            <a id="whoami" class="top-login-item" href="http://launchpad.net/~{{ user.username }}">{{ user.username }}</a>
            <span class="top-login-separator">|</span>
            {% if attendee %}
                <a class="top-login-item" href="{% url summit.schedule.views.by_participant summit.name attendee.user.username %}" title="My Schedule">My Schedule</a>
                <span class="top-login-separator">|</span>
            {% endif %}
            {% if user.is_staff %}
                <a class="top-login-item" href="/admin" title="Admin">Admin</a>
                <span class="top-login-separator">|</span>
            {% endif %}
            <a class="top-login-item" href="{% url logout %}" title="Log Out: {{ user.username }}">Log out</a>
    {% else %}
        <a class="top-login-item" href="{{login_url}}?next={{login_next}}" title="Log In">Log in</a>
    {% endif %}
{% endblock %}
{% block main_nav_links %}
    {% load menubuilder %}
    {% menu main_menu %}
    <ul class="clearfix">
    {% for item in menuitems %}
        <li{% if item.current %} class='active'{% endif %} id="main-nav"><a class="main-nav-item" href="{{ item.url }}" title="{{ item.title|escape }}">{{ item.title }}</a></li>
    {% endfor %}
    </ul>
{% endblock %}

{% block sub_nav %}
<div id="sub-nav-container" >
    <nav role="navigation" class="nav-secondary">
        <ul class="clearfix">
            {% block sub_nav_links %}
            {% endblock %}
        </ul>
    </nav>
    {% if summit %}
    <section id="searchbox-container">
                        
        <form id="site_search_form" action="{% url summit.schedule.views.search summit.name %}" method="get">
                <input id="id_q" type="text" name="q" maxlength="100" value="{{ query }}" />
                <input id="id_button" type="image" src="/media/img/search.png" title="Search" alt="Search"  />
        </form>

    </section>
    {% endif %}
</div>
{% endblock %}

{% block messages %}
    {% if messages %}
      {% for message in messages %}
        <div class = 'message' ><div class = 'content-shim' >{{ message }}</div></div>
      {% endfor %}
    {% endif %}
{% endblock %}

{% block content %}
{% endblock %}

{% block general %}
{% if summit.help_text and summit.state != "public" %}
<style>
.box {
 padding: 20px;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
 border-radius: 4px;
 border: 1px solid #aea79f;
}
</style>
<div class="span-12">
 <div class="box">
  <p>{{summit.help_text|markdown:"safe"}}</p>
 </div>
</div>
{% endif %}
{% endblock %}

{% block footer %}
    <div class="copyright">
        <p>&copy;  Canonical Ltd., Ubuntu Community.</p>
        <p>Ubuntu and Canonical are registered trademarks of <a href="http://www.canonical.com">Canonical Ltd</a>.</p>
        <p>Problems with Summit? <a href="https://bugs.launchpad.net/summit/+filebug">File a Bug &rsaquo;</a></p>
        <p>The Summit Scheduler version {{ summit_version }} (revno: {{ summit_revno }})</p>
    </div>
{% endblock %}

{% block footer_list_1 %}
{% endblock %}

{% block footer_list_2 %}
{% endblock %}

{% block footer_list_3 %}
{% endblock %}

{% block footer_note %}
{% endblock %}
